Skip to main content
POST
/
brm
cURL
curl --request POST \
  --url https://api-v2.production.higg.org/api/v1/modulecsv/brm \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-developer-request-token: <api-key>' \
  --data '
{
  "from": 123,
  "size": 123,
  "oarIds": [
    "<string>"
  ],
  "assessmentIds": [
    "<string>"
  ],
  "accountIds": [
    "<string>"
  ],
  "accountSacIds": [
    "<string>"
  ],
  "version": "fem2017",
  "status": [
    "NS"
  ],
  "verified": true,
  "include": [
    "<string>"
  ],
  "lastUpdated": 123,
  "lastActivityDate": 123,
  "lastStatusChange": 123,
  "lastASCStatusDate": 123,
  "greaterThanYear": 123,
  "cafVersion": "1.7",
  "dctVersion": "<string>",
  "filters": [
    {
      "field": "<string>",
      "operator": "<string>",
      "value": {}
    }
  ],
  "nextPage": "<string>",
  "facilityPosted": true,
  "sipfacilitytype": [
    "<string>"
  ],
  "sort": [
    {
      "field": "<string>",
      "value": "asc"
    }
  ],
  "verificationPosted": 123,
  "rfi_pid": "fem2017",
  "wildcardSearch": {
    "sacId": "<string>",
    "accountName": "<string>",
    "oarId": "<string>",
    "tags": "<string>",
    "accountId": "<string>",
    "customId": "<string>",
    "ffcId": "<string>"
  },
  "reportingPeriodStart": 123,
  "reportingPeriodEnd": 123,
  "isBaseMaterialFilter": true
}
'
Retrieves BRM (Brand & Retail Module) assessment data as a CSV stream based on the filters you provide.

Request body properties

Use the following properties in the request body to filter and paginate your results.
Specify the BRM version to retrieve (e.g., brm2023, brm2024).
An array of assessment statuses to query for. Possible values include ASI (Assessment In Progress), ASC (Assessment Completed), VRF (Verified).Example: "status": ["ASI", "ASC"]
Filter for records that have changed status since the provided timestamp. The timestamp must be in Unix time in milliseconds.
Filter for records that have been updated since the provided timestamp. The timestamp must be in Unix time in milliseconds.
Boolean filter for verified (true) or unverified (false) assessments.

JSON request example

{
  "status": ["ASI", "ASC"],
  "lastStatusChange": 1672531200000,
  "lastUpdated": 1672531200000,
  "verified": true,
  "version": "brm2023"
}

Additional filters

NameTypeDescription
accountIdsarrayList of account IDs to filter by.
accountSacIdsarrayList of SAC IDs to filter by.
assessmentIdsarrayList of specific assessment IDs to retrieve.
reportingPeriodStartnumberFilter assessments by reporting period start (Unix timestamp).
reportingPeriodEndnumberFilter assessments by reporting period end (Unix timestamp).
fromnumberStarting index for pagination.
sizenumberNumber of records to return per request.
sortarraySort order for the results. Each object in the array should contain field and value (asc or desc).

Implementation details

  • This endpoint uses a POST request to allow for complex filtering that might exceed URL length limits for query parameters.
  • The response is a CSV stream containing the requested assessment data.
  • All timestamps must be in Unix time in milliseconds (e.g., 1672531200000).

Limit bulk CSV data by assessment status and timestamp

Authorizations

x-api-key
string
header
required
x-developer-request-token
string
header
required

Body

application/json
from
number<double> | null
size
number<double> | null
oarIds
string[] | null
assessmentIds
string[] | null
accountIds
string[] | null
accountSacIds
string[] | null
version
enum<string>

This interface was referenced by Exports's JSON-Schema via the definition "assessmentRfiPid".

Available options:
fem2017,
fem2018,
fem2019,
fem2020,
fem2021,
fem2022,
fem2023,
fem2024,
fem2025,
fslm,
brm2019,
brm2020,
brm2021,
brm2022,
brm2023,
brm2024,
brm2025,
dct,
one2022,
ffc
status
enum<string>[] | null

This interface was referenced by Exports's JSON-Schema via the definition "assessmentStatus".

Available options:
NS,
ASI,
ASC,
VRP,
VRQ,
VRE,
VRC,
VRD,
VRF,
VRI,
ASD
verified
boolean | null
include
string[] | null
lastUpdated
number<double> | null
lastActivityDate
number<double> | null
lastStatusChange
number<double> | null
lastASCStatusDate
number<double> | null
greaterThanYear
number<double> | null
cafVersion
enum<string>
Available options:
1.7,
1.6,
1.5,
1.4,
1.3
dctVersion
string | null
filters
object[] | null
nextPage
string | null
facilityPosted
boolean | null
sipfacilitytype
string[] | null
sort
object[] | null
verificationPosted
number<double> | null
rfi_pid
enum<string>

This interface was referenced by Exports's JSON-Schema via the definition "assessmentRfiPid".

Available options:
fem2017,
fem2018,
fem2019,
fem2020,
fem2021,
fem2022,
fem2023,
fem2024,
fem2025,
fslm,
brm2019,
brm2020,
brm2021,
brm2022,
brm2023,
brm2024,
brm2025,
dct,
one2022,
ffc
wildcardSearch
object
reportingPeriodStart
number<double> | null
reportingPeriodEnd
number<double> | null
isBaseMaterialFilter
boolean | null

Response

204

No content